// ================================================================================================
//     File Name: content.scss
//     Description: Page content level SCSS for different screen size, layout and device.
//     ----------------------------------------------------------------------------------------------
//     Item Name: Vuexy  - Vuejs, HTML & Laravel Admin Dashboard Template
//     Author: PIXINVENT
//     Authuseror URL: http://www.themeforest.net//pixinvent
// ================================================================================================

// Contest margin left for expanded & collapsed stats width & margin left
// ================================================================================================

@import "../mixins/main-menu-mixin";

html {
  font-size: $base-font-size;
  height: 100%;
  letter-spacing: 0.01rem;
  body {
    height: 100%;
    background: $backgroundGradient;
    // direction: $body-direction;
    p {
      line-height: 1.5rem;
    }
  }
  .content {
    padding: 0;
    position: relative;
    transition: 200ms ease width;
    backface-visibility: hidden;
    min-height: 100%;
    margin-left: $menu-expanded-width;
    &.app-content {
      padding: 35px 83px 35px 50px;
      flex: 1 1;
      overflow: hidden;
      flex-direction: column;
      background: #fff;
      box-shadow: -5px -5px 18px rgba(32, 84, 215, 0.05);
      border-radius: 30px 0 0 0;
      overflow-y: auto;

      // padding: calc(
      //     #{$content-padding} + #{$navbar-height} + #{$floating-nav-margin}
      //   )
      //   #{$content-padding} 0;
      &.show-overlay {
        .content-overlay {
          z-index: 10;
          opacity: 1;
        }
      }
      .content-overlay {
        position: fixed;
        opacity: 0;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background-color: rgba($black, 0.5);
        cursor: pointer;
        transition: all 0.7s, z-index 0s;
        z-index: -1;
      }
      .content-area-wrapper {
        // overflow: hidden; // Required in apps
        .content-wrapper,
        .content-body {
          height: 100%;
        }
      }
    }
    .body-content-overlay {
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      position: absolute;
      display: block;
      z-index: 4;
      visibility: hidden;
      opacity: 0;
      transition: all 0.3s ease;
      &.show {
        visibility: visible;
        transition: all 0.3s ease;
        opacity: 1;
        background-color: rgba($black, 0.2);
        border-radius: $border-radius/2;
      }
    }
    .content-wrapper {
      .content-header-title {
        font-weight: 500;
        color: $gray-400;
        padding-right: $spacer;
        border-right: 1px solid lighten($gray-600, 10%);
      }
      .content-header-right {
        .dropdown-toggle {
          &::after {
            display: none;
          }
          i,
          svg {
            margin-right: 0;
          }
        }
        .btn-icon {
          padding: 0.8rem;
          i,
          svg {
            height: $font-size-base;
            width: $font-size-base;
          }
        }
      }
    }
  }

  // kanban app uses kanban-wrapper class as not having content-layout so added this class with all the options

  // for static navbar
  .navbar-static {
    .main-menu {
      top: 0;
    }
    .content {
      min-height: calc(100% - calc(#{$navbar-height}));
    }
    .app-content {
      // padding: #{$content-padding} #{$content-padding} 0 #{$content-padding};
    }
  }

  /*
    * Blank page
    */

  .blank-page {
    .content {
      margin-left: 0; // not using in both cases
      // overflow-x hidden, overflow for y in sm screen issue resolved default
      &.app-content {
        overflow: overlay;
        overflow-x: hidden;
        padding: 0 !important;
        transition: none;
        // remove white space on top by header-navbar-shadow class
        // .header-navbar-shadow {
        //   display: none;
        // }
      }
    }
    // blank page content-wrapper
    .content-wrapper {
      padding: 0 !important;
      // content to be in center horizontally and vertically
      .flexbox-container {
        display: flex;
        align-items: center;
        height: 100vh;
        height: calc(var(--vh, 1vh) * 100);
        justify-content: center;
      }
    }
  }
}

.app-content.center-layout {
  overflow: hidden;
}

/*
* Col 3 layout for detached and general type
*/

@include media-breakpoint-up(lg) {
  body {
    // Normal sidebar
    .content-right {
      width: calc(100vw - (100vw - 100%) - #{$sidebar-width});
      float: right;
    }
    .content-left {
      width: calc(100vw - (100vw - 100%) - #{$sidebar-width});
      float: left;
    }
    // Detached sidebar
    .content-detached {
      width: 100%;
      &.content-right {
        float: right;
        margin-left: -$sidebar-width;
        .content-body {
          margin-left: calc(#{$sidebar-width} + #{$content-padding});
        }
      }
      &.content-left {
        float: left;
        margin-right: -$sidebar-width;
        .content-body {
          margin-right: calc(#{$sidebar-width} + #{$content-padding});
        }
      }
    }
  }
  .sidebar-right.sidebar-sticky {
    float: right !important;
    margin-left: -$sidebar-width;
    width: $sidebar-width !important;
    margin-top: $navbar-height + 1.25;
  }
}

@include media-breakpoint-down(xs) {
  html body .app-content {
    padding: calc(
        #{$content-padding} - 0.8rem + #{$navbar-height} + #{$floating-nav-margin}
      )
      calc(#{$content-padding} - 0.8rem) 0 calc(#{$content-padding} - 0.8rem) !important; // - 0.8rem to reduce padding in small screen
  }

  // For static navbar
  html body.navbar-static .app-content {
    padding: calc(#{$content-padding} - 0.8rem)
      calc(#{$content-padding} - 0.8rem) 0 calc(#{$content-padding} - 0.8rem) !important; // - 0.8rem to reduce padding in small screen
  }
}

@include media-breakpoint-down(xs) {
  .navbar-static {
    .app-content {
      .header-navbar {
        .navbar-container {
          padding-left: 1rem;
          padding-right: 0.5rem;
        }
      }
    }
  }
}

// For Fullscreen IE
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  html.full-screen {
    width: 100%;
    .content.app-content {
      height: 100%;
      overflow: scroll;
      overflow-x: hidden;
    }
  }
}
